%define perl_version   %(rpm -q --qf '%%{epoch}:%%{version}' perl-base)
%define python_version %(python -c 'import sys; print sys.version[:3]')
#define ruby_version   %(rpm -q --qf '%%{version}' ruby-devel)

%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7
%define req_ggz_client_libs_version 0.0.7

Name:		ggz-grubby
Summary:	GGZ Gaming Zone - Grubby, the chat bot
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) 0.0.7-1mdk Use perl's own cflags and ldflags when checking perl
Patch0:		%{name}-0.0.7-check-perl.patch.bz2
# (Abel) 0.0.7-1mdk Hack to check for python 2.3 instead of 2.2
Patch1:		%{name}-0.0.7-check-python.patch.bz2

Buildrequires:	popt-devel
Buildrequires:	expat-devel
BuildRequires:	libggz-devel = %{req_libggz_version}
Requires:	libggz = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
Requires:	ggz-client-libs = %{req_ggz_client_libs_version}
BuildRequires:	perl-devel = %{perl_version}
Requires:	perl-base = %{perl_version}
BuildRequires:	python-devel = %{python_version}
Requires:	python-base = %{python_version}
#BuildRequires:	ruby-devel = %{ruby_version}
#Requires:	ruby = %{ruby_version}
# (Abel) 0.0.7-1mdk temporary, to be removed soon
Obsoletes:	ggz-grubby-devel

%description
This package contains grubby, a chatbot for GGZ Gaming Zone. It's
a single binary, but it is very flexible and extensible by plugins
and scripts.

Grubby is intended to be used on servers so it doesn't miss players,
but it is in fact a client program. It reads all necessary startup
information from your home folder and runs as long as it isn't shut
down by its owner. See the Setup file to view a common setup, or
generate one using grubby-config.


%if 0
%package -n %{name}-devel
Summary:	Development files for GGZ Grubby Module
Group:		Games/Other
Requires:	%{name} = %{version}-%{release}
Requires:	libggz-devel = %{req_libggz_version}
Requires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}

%description -n %{name}-devel
Grubby module for the GGZ Gaming Zone.

This package contains the libraries used for development.
%endif


%prep
%setup -q
%patch0 -p1 -b .check-perl
%patch1 -p1 -b .check-python

# Needed for patch0/1
autoconf-2.5x

%build
%configure2_5x
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

%find_lang grubby

# remove unpackage files
rm -f %{buildroot}%{_libdir}/grubby/{,core}modules/*.{a,la}

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -f grubby.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%{_bindir}/*
%{_datadir}/grubby
%{_libdir}/grubby
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*

%if 0
%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/grubby/coremodules/libguru_i18n.a
%{_libdir}/grubby/coremodules/libguru_i18n.la
%{_libdir}/grubby/coremodules/libguru_i18n.so
%{_libdir}/grubby/coremodules/libguru_netconsole.a
%{_libdir}/grubby/coremodules/libguru_netconsole.la
%{_libdir}/grubby/coremodules/libguru_netconsole.so
%{_libdir}/grubby/coremodules/libguru_netggz.a
%{_libdir}/grubby/coremodules/libguru_netggz.la
%{_libdir}/grubby/coremodules/libguru_netggz.so
%{_libdir}/grubby/coremodules/libguru_player.a
%{_libdir}/grubby/coremodules/libguru_player.la
%{_libdir}/grubby/coremodules/libguru_player.so

%{_libdir}/grubby/modules/libgurumod_badword.a
%{_libdir}/grubby/modules/libgurumod_badword.la
%{_libdir}/grubby/modules/libgurumod_badword.so
%{_libdir}/grubby/modules/libgurumod_embed.a
%{_libdir}/grubby/modules/libgurumod_embed.la
%{_libdir}/grubby/modules/libgurumod_embed.so
%{_libdir}/grubby/modules/libgurumod_exec.a
%{_libdir}/grubby/modules/libgurumod_exec.la
%{_libdir}/grubby/modules/libgurumod_exec.so
%{_libdir}/grubby/modules/libgurumod_extra.a
%{_libdir}/grubby/modules/libgurumod_extra.la
%{_libdir}/grubby/modules/libgurumod_extra.so
%{_libdir}/grubby/modules/libgurumod_learning.a
%{_libdir}/grubby/modules/libgurumod_learning.la
%{_libdir}/grubby/modules/libgurumod_learning.so
%{_libdir}/grubby/modules/libgurumod_people.a
%{_libdir}/grubby/modules/libgurumod_people.la
%{_libdir}/grubby/modules/libgurumod_people.so
%{_libdir}/grubby/modules/libgurumod_programming.a
%{_libdir}/grubby/modules/libgurumod_programming.la
%{_libdir}/grubby/modules/libgurumod_programming.so
%{_libdir}/grubby/modules/libgurumod_self.a
%{_libdir}/grubby/modules/libgurumod_self.la
%{_libdir}/grubby/modules/libgurumod_self.so
%{_libdir}/grubby/modules/libgurumod_simplereturn.a
%{_libdir}/grubby/modules/libgurumod_simplereturn.la
%{_libdir}/grubby/modules/libgurumod_simplereturn.so
%endif

%changelog
* Sun Sep  7 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Merged so called -devel package back into main package, they are
  not for development at all
- BuildRequires and Requires redone
- WARN: This package does not build ruby binding at all because ruby
  package doesn't build any shared library

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Initial specification file
